package com.bonus.core.customer.v4.web.vo;

import io.swagger.annotations.ApiModelProperty;

import java.time.LocalDate;
import java.time.LocalDateTime;

public class CardInfoVO {
   @ApiModelProperty("人员id")
   private String custId;
   @ApiModelProperty("卡状态")
   private String cardStatus;
   @ApiModelProperty("开卡时间")
   private LocalDateTime crtime;
   @ApiModelProperty("卡片有效期")
   private LocalDate validityDate;
   @ApiModelProperty("卡物理号")
   private String serialNum;
   @ApiModelProperty("卡面号")
   private String cardFaceNum;
   @ApiModelProperty("押金")
   private Integer deposit;
   @ApiModelProperty("工本费")
   private Integer productCost;
   @ApiModelProperty("备注")
   private String remark;

   public String getCustId() {
      return this.custId;
   }

   public String getCardStatus() {
      return this.cardStatus;
   }

   public LocalDateTime getCrtime() {
      return this.crtime;
   }

   public LocalDate getValidityDate() {
      return this.validityDate;
   }

   public String getSerialNum() {
      return this.serialNum;
   }

   public String getCardFaceNum() {
      return this.cardFaceNum;
   }

   public Integer getDeposit() {
      return this.deposit;
   }

   public Integer getProductCost() {
      return this.productCost;
   }

   public String getRemark() {
      return this.remark;
   }

   public void setCustId(final String custId) {
      this.custId = custId;
   }

   public void setCardStatus(final String cardStatus) {
      this.cardStatus = cardStatus;
   }

   public void setCrtime(final LocalDateTime crtime) {
      this.crtime = crtime;
   }

   public void setValidityDate(final LocalDate validityDate) {
      this.validityDate = validityDate;
   }

   public void setSerialNum(final String serialNum) {
      this.serialNum = serialNum;
   }

   public void setCardFaceNum(final String cardFaceNum) {
      this.cardFaceNum = cardFaceNum;
   }

   public void setDeposit(final Integer deposit) {
      this.deposit = deposit;
   }

   public void setProductCost(final Integer productCost) {
      this.productCost = productCost;
   }

   public void setRemark(final String remark) {
      this.remark = remark;
   }
}
